Subject: [bug#57055] [PATCH 2/2] gnu: Add guile-srfi-146.

From: pukkamustard <[email-masked]>
Date: Fri, 19 Aug 2022 13:41:10 +0000

Sorry for the delayed response. I seem to have missed this mail.

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> On 08-08-2022 14:43, pukkamustard wrote:
>
>  +    (license license:lgpl3+)))
>
> There are also some (ISC?) bits on
> <https://inqlab.net/git/guile-srfi-146.git/tree/srfi/srfi-146.scm>.
>
> Yes, the sample SRFI implementation is licensed under ISC. Afaiu,
> there's no problem in relicensing this as LGPL-3.0-or-later. I think a
> lot of the guile-srfi-* libraries do this.
>
> I have looked at license text, and it states that it allows 'sublicensing', but it doesn't say anything about relicensing (except maybe for
> the "deal in the Software without restriction"?).
>
> As such, I think it would be safer to just include license:isc in the list.

I'm no legal expert, but I think I am free to distribute it only
under LGPL-3.0-or-later (and not also ISC). And I prefer to do so.

For prior cases see modules/srfi/srfi-71.scm as distributed with
Guile. The file contains a SRFI sample implementation with the same ISC
license header. It seems to be fine to relicense modules distributed
with Guile as LGPL-3.0-or-later. In the Guix package definition for
Guile only license:lgpl3+ is listed (and not license:isc).

Cheers,
pukkamustard